!******************************************************************************!
!                                                                              !
!    vertices_info5.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info5.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 00:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info5
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl5()
      allocate(vertices(50)%branchR2(0:0))
      call avR2(50, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_516, nGC_515/))

      allocate(vertices(774)%branchR2(0:0))
      call avR2(774, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_714/))

      allocate(vertices(542)%branchR2(0:0))
      call avR2(542, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_506/))

      allocate(vertices(1238)%branchR2(0:0))
      call avR2(1238, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_695, nGC_696, nGC_696 &
      /))

      allocate(vertices(1239)%branchR2(0:1))
      call avR2(1239, 0, 59, 1, 0, VVVV0, (/2, 2/), (/nGC_724, nGC_724, nGC_724&
      /))

      call avR2(1239, 1, 60, 1, 0, VVVV0, (/2, 2/), (/nGC_725, nGC_725, nGC_725&
      /))

      allocate(vertices(682)%branchR2(0:0))
      call avR2(682, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_550/))

      allocate(vertices(931)%branchR2(0:3))
      call avR2(931, 0, 24, 1, 0, FaFV0, (/1, 2/), (/nGC_676, nGC_677/))

      call avR2(931, 1, 24, 1, 0, FaFV0, (/3, 0/), (/nGC_673, nGC_673/))

      call avR2(931, 2, 25, 1, 0, FaFV0, (/3, 0/), (/nGC_670, nGC_670/))

      call avR2(931, 3, 25, 1, 0, FaFV0, (/1, 2/), (/nGC_674, nGC_675/))

      allocate(vertices(629)%branchR2(0:0))
      call avR2(629, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_714/))

      allocate(vertices(654)%branchR2(0:1))
      call avR2(654, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_637, nGC_638/))

      call avR2(654, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_630, nGC_632/))

      allocate(vertices(272)%branchR2(0:0))
      call avR2(272, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_561/))

      allocate(vertices(921)%branchR2(0:0))
      call avR2(921, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_719/))

      allocate(vertices(1109)%branchR2(0:0))
      call avR2(1109, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_507/))

      allocate(vertices(709)%branchR2(0:0))
      call avR2(709, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_705/))

      allocate(vertices(165)%branchR2(0:0))
      call avR2(165, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_714/))

      allocate(vertices(75)%branchR2(0:1))
      call avR2(75, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_597, nGC_596/))

      call avR2(75, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_598, nGC_598/))

      allocate(vertices(1240)%branchR2(0:0))
      call avR2(1240, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_696, nGC_695, nGC_696 &
      /))

      allocate(vertices(47)%branchR2(0:0))
      call avR2(47, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_627/))

      allocate(vertices(872)%branchR2(0:0))
      call avR2(872, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_729, nGC_728, nGC_727/))

      allocate(vertices(1118)%branchR2(0:0))
      call avR2(1118, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_702/))

      allocate(vertices(13)%branchR2(0:1))
      call avR2(13, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_500, nGC_501/))

      call avR2(13, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_502, nGC_502/))

      allocate(vertices(877)%branchR2(0:0))
      call avR2(877, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_527, nGC_526/))

      allocate(vertices(675)%branchR2(0:0))
      call avR2(675, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_723/))

      allocate(vertices(469)%branchR2(0:0))
      call avR2(469, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_608, nGC_609/))

      allocate(vertices(181)%branchR2(0:0))
      call avR2(181, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_691/))

      allocate(vertices(363)%branchR2(0:0))
      call avR2(363, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_687, nGC_686, nGC_685/))

      allocate(vertices(723)%branchR2(0:0))
      call avR2(723, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_726/))

      allocate(vertices(209)%branchR2(0:0))
      call avR2(209, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_714/))

      allocate(vertices(768)%branchR2(0:0))
      call avR2(768, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_548/))

      allocate(vertices(1241)%branchR2(0:0))
      call avR2(1241, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_688/))

      allocate(vertices(1242)%branchR2(0:1))
      call avR2(1242, 0, 43, 1, 0, SVV0, (/2, 1/), (/nGC_610/))

      call avR2(1242, 1, 44, 1, 0, SVV0, (/2, 1/), (/nGC_611/))

      allocate(vertices(1073)%branchR2(0:0))
      call avR2(1073, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_702/))

      allocate(vertices(979)%branchR2(0:0))
      call avR2(979, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_692/))

      allocate(vertices(456)%branchR2(0:1))
      call avR2(456, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_586, nGC_584/))

      call avR2(456, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_587, nGC_585/))

      allocate(vertices(887)%branchR2(0:0))
      call avR2(887, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_640, nGC_639/))

      allocate(vertices(603)%branchR2(0:0))
      call avR2(603, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_715/))

      allocate(vertices(482)%branchR2(0:1))
      call avR2(482, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_626/))

      call avR2(482, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_625/))

      allocate(vertices(1091)%branchR2(0:0))
      call avR2(1091, 0, 13, 1, 0, SS1, (/0, 2/), (/nGC_459, nGC_458/))

      allocate(vertices(593)%branchR2(0:0))
      call avR2(593, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_710/))

      allocate(vertices(22)%branchR2(0:0))
      call avR2(22, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_644/))

      allocate(vertices(137)%branchR2(0:1))
      call avR2(137, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_570, nGC_568/))

      call avR2(137, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_571, nGC_569/))

      allocate(vertices(1020)%branchR2(0:0))
      call avR2(1020, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_721/))

      allocate(vertices(676)%branchR2(0:1))
      call avR2(676, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_604, nGC_603/))

      call avR2(676, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_605, nGC_605/))

      allocate(vertices(679)%branchR2(0:0))
      call avR2(679, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_561/))

      allocate(vertices(1243)%branchR2(0:1))
      call avR2(1243, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_717/))

      call avR2(1243, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_716/))

      allocate(vertices(1033)%branchR2(0:1))
      call avR2(1033, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_624/))

      call avR2(1033, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_625/))

      allocate(vertices(231)%branchR2(0:1))
      call avR2(231, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_553, nGC_554/))

      call avR2(231, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_536, nGC_538/))

      allocate(vertices(57)%branchR2(0:0))
      call avR2(57, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_712/))

      allocate(vertices(171)%branchR2(0:1))
      call avR2(171, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_624/))

      call avR2(171, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_625/))

      allocate(vertices(660)%branchR2(0:0))
      call avR2(660, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_627/))

      allocate(vertices(1107)%branchR2(0:1))
      call avR2(1107, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_457, nGC_480, nGC_480 &
      , nGC_455/))

      call avR2(1107, 1, 14, 1, 0, FFa1, (/2, 0/), (/nGC_454, nGC_481, nGC_481 &
      , nGC_454/))

      allocate(vertices(1244)%branchR2(0:0))
      call avR2(1244, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_711, nGC_711, nGC_711 &
      /))

      allocate(vertices(893)%branchR2(0:1))
      call avR2(893, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_637, nGC_638/))

      call avR2(893, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_630, nGC_632/))

      allocate(vertices(1063)%branchR2(0:0))
      call avR2(1063, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_519/))

      allocate(vertices(1088)%branchR2(0:0))
      call avR2(1088, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_492/))

      allocate(vertices(825)%branchR2(0:1))
      call avR2(825, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_652, nGC_653/))

      call avR2(825, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_634, nGC_636/))

      allocate(vertices(999)%branchR2(0:0))
      call avR2(999, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_694/))

      allocate(vertices(627)%branchR2(0:1))
      call avR2(627, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_556, nGC_555/))

      call avR2(627, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_542, nGC_540/))

      allocate(vertices(628)%branchR2(0:0))
      call avR2(628, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_608, nGC_609/))

      allocate(vertices(421)%branchR2(0:1))
      call avR2(421, 0, 19, 1, 0, FSFa0, (/0, 3/), (/nGC_539, nGC_541/))

      call avR2(421, 1, 19, 1, 0, FSFa0, (/2, 1/), (/nGC_540, nGC_542/))

      allocate(vertices(982)%branchR2(0:0))
      call avR2(982, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_726/))

      allocate(vertices(248)%branchR2(0:0))
      call avR2(248, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_551/))

      allocate(vertices(1024)%branchR2(0:0))
      call avR2(1024, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_595/))

      allocate(vertices(340)%branchR2(0:0))
      call avR2(340, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_530/))

      allocate(vertices(98)%branchR2(0:0))
      call avR2(98, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_628/))

      allocate(vertices(1245)%branchR2(0:1))
      call avR2(1245, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_716/))

      call avR2(1245, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_717/))

      allocate(vertices(666)%branchR2(0:0))
      call avR2(666, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_707/))

      allocate(vertices(689)%branchR2(0:1))
      call avR2(689, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_545, nGC_543/))

      call avR2(689, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_546, nGC_544/))

      allocate(vertices(332)%branchR2(0:0))
      call avR2(332, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_549/))

      allocate(vertices(1246)%branchR2(0:5))
      call avR2(1246, 0, 85, 1, 0, VVVV0, (/3, 1/), (/nGC_745, nGC_745, nGC_745&
      /))

      call avR2(1246, 1, 84, 1, 0, VVVV0, (/3, 1/), (/nGC_745, nGC_745, nGC_745&
      /))

      call avR2(1246, 2, 87, 1, 0, VVVV0, (/3, 1/), (/nGC_745, nGC_745, nGC_745&
      /))

      call avR2(1246, 3, 88, 1, 0, VVVV0, (/3, 1/), (/nGC_744, nGC_744, nGC_744&
      /))

      call avR2(1246, 4, 86, 1, 0, VVVV0, (/3, 1/), (/nGC_746, nGC_746, nGC_746&
      /))

      call avR2(1246, 5, 83, 1, 0, VVVV0, (/3, 1/), (/nGC_746, nGC_746, nGC_746&
      /))

      allocate(vertices(540)%branchR2(0:0))
      call avR2(540, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1209/))

      allocate(vertices(461)%branchR2(0:0))
      call avR2(461, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_651, nGC_650/))

      allocate(vertices(1247)%branchR2(0:1))
      call avR2(1247, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_709, nGC_709, nGC_709&
      /))

      call avR2(1247, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_708, nGC_708, nGC_708&
      /))

      allocate(vertices(1065)%branchR2(0:1))
      call avR2(1065, 0, 42, 1, 0, FaF0, (/0, 2/), (/nGC_479, nGC_495, nGC_495 &
      , nGC_477/))

      call avR2(1065, 1, 42, 1, 0, FaF0, (/2, 0/), (/nGC_454, nGC_496, nGC_496 &
      , nGC_454/))

      allocate(vertices(373)%branchR2(0:0))
      call avR2(373, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_576, nGC_577/))

      allocate(vertices(667)%branchR2(0:0))
      call avR2(667, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_606, nGC_607/))

      allocate(vertices(1120)%branchR2(0:0))
      call avR2(1120, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_703/))

      allocate(vertices(553)%branchR2(0:0))
      call avR2(553, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_628/))

      allocate(vertices(657)%branchR2(0:1))
      call avR2(657, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_566, nGC_564/))

      call avR2(657, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_567, nGC_565/))

      allocate(vertices(470)%branchR2(0:0))
      call avR2(470, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_548/))

      allocate(vertices(191)%branchR2(0:0))
      call avR2(191, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_728, nGC_729, nGC_727/))

      allocate(vertices(216)%branchR2(0:3))
      call avR2(216, 0, 27, 1, 0, FVFa0, (/3, 0/), (/nGC_655, nGC_655/))

      call avR2(216, 1, 27, 1, 0, FVFa0, (/1, 2/), (/nGC_654, nGC_656/))

      call avR2(216, 2, 26, 1, 0, FVFa0, (/3, 0/), (/nGC_658, nGC_658/))

      call avR2(216, 3, 26, 1, 0, FVFa0, (/1, 2/), (/nGC_657, nGC_659/))

      allocate(vertices(652)%branchR2(0:0))
      call avR2(652, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_706/))

      allocate(vertices(727)%branchR2(0:0))
      call avR2(727, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_532/))

      allocate(vertices(836)%branchR2(0:0))
      call avR2(836, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_691/))

      allocate(vertices(408)%branchR2(0:0))
      call avR2(408, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_533/))

      allocate(vertices(738)%branchR2(0:0))
      call avR2(738, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_643/))

      allocate(vertices(66)%branchR2(0:1))
      call avR2(66, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_616, nGC_615/))

      call avR2(66, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_617, nGC_617/))

      allocate(vertices(142)%branchR2(0:0))
      call avR2(142, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_642, nGC_641/))

      allocate(vertices(115)%branchR2(0:0))
      call avR2(115, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_691/))

      allocate(vertices(188)%branchR2(0:1))
      call avR2(188, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_513, nGC_514/))

      call avR2(188, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_502, nGC_502/))

      allocate(vertices(1112)%branchR2(0:0))
      call avR2(1112, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_702/))

    end subroutine fill_vertices_mdl5
end module vertices_info5
